Bug 1885679 - Review Request: paper - Query paper size database and retrieve the preferred size
Summary: Review Request: paper - Query paper size database and retrieve the preferred ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1686644
TreeView+ depends on / blocked
 
Reported: 2020-10-06 17:15 UTC by Petr Pisar
Modified: 2020-11-14 02:24 UTC (History)
2 users (show)

Fixed In Version: paper-2.3-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-26 16:01:01 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Petr Pisar 2020-10-06 17:15:21 UTC
Spec URL: https://ppisar.fedorapeople.org/paper/paper.spec
SRPM URL: https://ppisar.fedorapeople.org/paper/paper-2.2-1.fc34.src.rpm
Description:
This package enables users to indicate their preferred paper size, provides
the paper(1) utility to find the user's preferred default paper size and give
information about known sizes, and specifies system-wide and per-user paper
size catalogs, which can be can also be used directly (see paperspecs(5)).

Fedora Account System Username: ppisar

Comment 1 Petr Pisar 2020-10-15 12:57:40 UTC
I updated the package to a new upstream version.

SRPM URL: https://ppisar.fedorapeople.org/paper/paper-2.3-1.fc34.src.rpm

Comment 2 Jitka Plesnikova 2020-10-26 15:02:29 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires paper-2.3-1.fc34.x86_64.rpm | sort | uniq -c | grep -v rpmlib
      1 config(paper) = 2.3-1.fc34
      1 libc.so.6()(64bit)
      1 libc.so.6(GLIBC_2.2.5)(64bit)
      1 libc.so.6(GLIBC_2.3.4)(64bit)
      1 perl(Config)
      1 perl(Cwd)
      1 perl(File::Basename)
      1 perl(File::Spec::Functions)
      1 perl(Getopt::Long)
      1 perl(locale)
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(:VERSION) >= 5.10.1
      1 perl(warnings)
      1 rtld(GNU_HASH)
      1 /usr/bin/perl
Binary requires are Ok.

$ rpm -qp --provides paper-2.3-1.fc34.x86_64.rpm | sort | uniq -c
      1 bundled(gnulib) = 20200827
      1 config(paper) = 2.3-1.fc34
      1 paper = 2.3-1.fc34
      1 paper(x86-64) = 2.3-1.fc34
Binary provides are Ok.

$ rpmlint paper.spec paper-2.3-1.fc34.src.rpm paper-2.3-1.fc34.x86_64.rpm
paper.spec:80: W: unversioned-explicit-provides bundled(gnulib)%(perl
paper.spec:80: W: unversioned-explicit-provides -ne
paper.spec:80: W: unversioned-explicit-provides and
paper.spec:80: W: unversioned-explicit-provides {print
paper.spec:80: W: unversioned-explicit-provides %{_defaultdocdir}/gnulib/ChangeLog
paper.spec:80: W: unversioned-explicit-provides 2>/dev/null)
paper.spec:80: W: comparison-operator-in-deptoken 2>/dev/null)
paper.src: W: name-repeated-in-summary C paper
paper.src:80: W: unversioned-explicit-provides bundled(gnulib)%(perl
paper.src:80: W: unversioned-explicit-provides -ne
paper.src:80: W: unversioned-explicit-provides and
paper.src:80: W: unversioned-explicit-provides {print
paper.src:80: W: unversioned-explicit-provides %{_defaultdocdir}/gnulib/ChangeLog
paper.src:80: W: unversioned-explicit-provides 2>/dev/null)
paper.src:80: W: comparison-operator-in-deptoken 2>/dev/null)
paper.x86_64: W: name-repeated-in-summary C paper
2 packages and 1 specfiles checked; 0 errors, 16 warnings.
Rpmlint is ok

The package is in line with Fedora packaging guide lines.

Resolution:
Approved

Comment 3 Gwyn Ciesla 2020-10-26 15:34:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/paper

Comment 4 Petr Pisar 2020-10-26 16:01:01 UTC
Thank you for the review and the repository.

Comment 5 Fedora Update System 2020-10-29 16:06:11 UTC
FEDORA-EPEL-2020-abee504b99 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-abee504b99

Comment 6 Fedora Update System 2020-10-30 02:19:43 UTC
FEDORA-EPEL-2020-abee504b99 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-abee504b99

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-14 02:24:58 UTC
FEDORA-EPEL-2020-abee504b99 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.